Edge Class Reference

`#include <Edge.h>`

## Public Member Functions

| Edge (void)
| Edge (Vertex *v1, unsigned short idx1, Vertex *v2, unsigned short idx2)
| Edge (const Edge &e)
Vertex * | getVertex1 (void) const
void | setVertex1 (Vertex *v)
Vertex * | getVertex2 (void) const
unsigned short | getIndex1 (void) const
void | setIndex1 (unsigned short i)
unsigned short | getIndex2 (void) const
UWORD32 | getWeight (void)
void | set (Vertex *v1, unsigned short idx1, Vertex *v2, unsigned short idx2)
void | set1 (Vertex *v1, unsigned short idx1)
void | set2 (Vertex *v2, unsigned short idx2)
bool | operator== (const Edge &e) const
bool | operator!= (const Edge &e) const
void | swap (void)
bool | contains (const Vertex *v) const
Vertex * | getOtherVertex (const Vertex *v) const
SamplePos | getSamplePos (Vertex *v) const
SampleValue * | getOriginalSampleValue (Vertex *v) const
SampleValue * | getReplacingSampleValue (Vertex *v) const
void | print (unsigned short spc=0) const

## Private Attributes

Vertex * | Vertex1
unsigned short | Index1
| contains the index of the sample (of those in Vertex1) that will be changed (if this edge is used)
Vertex * | Vertex2
unsigned short | Index2
| contains the index of the sample (of those in Vertex2) that will be changed (if this edge is used)
UWORD32 | Weight

## Constructor & Destructor Documentation

## Edge() [1/3]

Edge::Edge | ( | void |  | ) |

inline

default constructor - does not create a useful object

## Edge() [2/3]

Edge::Edge | ( | Vertex * | v1,
|  | unsigned short | idx1,
|  | Vertex * | v2,
|  | unsigned short | idx2 )

constructs an edge object

## Edge() [3/3]

Edge::Edge | ( | const Edge & | e | ) |

copy constructor

## Member Function Documentation

## contains()

bool Edge::contains | ( | const Vertex * | v | ) | const

Returns
  true iff this edge contains the vertex v

## getIndex1()

unsigned short Edge::getIndex1 | ( | void |  | ) | const

inline

## getIndex2()

unsigned short Edge::getIndex2 | ( | void |  | ) | const

inline

## getOriginalSampleValue()

SampleValue * Edge::getOriginalSampleValue | ( | Vertex * | v | ) | const

get the old sample value that will be replaced to embed the bit represented by the vertex v

## getOtherVertex()

Vertex * Edge::getOtherVertex | ( | const Vertex * | v | ) | const

get the vertex on this edge that is not equal to v

## getReplacingSampleValue()

SampleValue * Edge::getReplacingSampleValue | ( | Vertex * | v | ) | const

get the sample value that should replace the previous sample value to embed the bit represented by the vertex v

## getSamplePos()

SamplePos Edge::getSamplePos | ( | Vertex * | v | ) | const

get the position of the sample that should be changed to embed the bit represented by the vertex v

## getVertex1()

Vertex * Edge::getVertex1 | ( | void |  | ) | const

inline

## getVertex2()

Vertex * Edge::getVertex2 | ( | void |  | ) | const

inline

## getWeight()

UWORD32 Edge::getWeight | ( | void |  | ) |

## operator!=()

bool Edge::operator!= | ( | const Edge & | e | ) | const

## operator==()

bool Edge::operator== | ( | const Edge & | e | ) | const

## print()

void Edge::print | ( | unsigned short | spc = 0 | ) | const

## set()

void Edge::set | ( | Vertex * | v1,
|  | unsigned short | idx1,
|  | Vertex * | v2,
|  | unsigned short | idx2 )

## set1()

void Edge::set1 | ( | Vertex * | v1,
|  | unsigned short | idx1 )

## set2()

void Edge::set2 | ( | Vertex * | v2,
|  | unsigned short | idx2 )

## setIndex1()

void Edge::setIndex1 | ( | unsigned short | i | ) |

inline

## setVertex1()

void Edge::setVertex1 | ( | Vertex * | v | ) |

inline

## swap()

void Edge::swap | ( | void |  | ) |

swap vertices 1 and 2 in this edge (weight is not altered)

## Member Data Documentation

## Index1

unsigned short Edge::Index1

private

## Index2

unsigned short Edge::Index2

private

## Vertex1

Vertex* Edge::Vertex1

private

## Vertex2

Vertex* Edge::Vertex2

private

## Weight

UWORD32 Edge::Weight

private

The documentation for this class was generated from the following files:

- Edge.h
- Edge.cc